/**
 * Calculates the Body Mass Index (BMI) and categorizes it.
 * @param weight - The weight of the person in kilograms.
 * @param height - The height of the person in meters.
 * @returns An object containing the BMI value and its category.
 * @throws Error if weight or height is invalid.
 */
export declare function calculateBMI(weight: number, height: number): {
    bmi: number;
    category: string;
};
